#ifndef ASSERT_HPP
#define ASSERT_HPP

#include "output.hpp"

#define ASSERT(condition, message) \
    if (!(condition)) { \
        dropshell::error << "Assertion failed: " << message << std::endl; \
        std::exit(1); \
    }

#endif // ASSERT_HPP
